//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/portal/standard/wms/Constants.java $
/*----------------    FILE HEADER  ------------------------------------------

This file is part of deegree.
Copyright (C) 2001-2008 by:
EXSE, Department of Geography, University of Bonn
http://www.giub.uni-bonn.de/deegree/
lat/lon GmbH
http://www.lat-lon.de

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Contact:

Andreas Poth
lat/lon GmbH
Aennchenstr. 19
53115 Bonn
Germany
E-Mail: poth@lat-lon.de

Prof. Dr. Klaus Greve
Department of Geography
University of Bonn
Meckenheimer Allee 166
53115 Bonn
Germany
E-Mail: greve@giub.uni-bonn.de

                 
 ---------------------------------------------------------------------------*/
package org.deegree.portal.standard.wms;

/**
 * 
 *
 * @version $Revision: 9346 $
 * @author <a href="mailto:poth@lat-lon.de">Andreas Poth</a>
 */
public final class Constants {
    /**
     * Comment for <code>WMS_X</code>
     */
    public static final String WMS_X = "CLICK.X";
    /**
     * Comment for <code>WMS_Y</code>
     */
    public static final String WMS_Y = "CLICK.Y";
    /**
     * Comment for <code>WMS_OPERATION_CONFIGURATION</code>
     */
    public static final String WMS_OPERATION_CONFIGURATION = "CONFIGURATION";
    /**
     * Comment for <code>WMS_OPERATION_ZOOMIN</code>
     */
    public static final String WMS_OPERATION_ZOOMIN = "ZOOMIN";
    /**
     * Comment for <code>WMS_OPERATION_ZOOMOUT</code>
     */
    public static final String WMS_OPERATION_ZOOMOUT = "ZOOMOUT";
    /**
     * Comment for <code>WMS_OPERATION_PAN</code>
     */
    public static final String WMS_OPERATION_PAN = "PAN";
    /**
     * Comment for <code>WMS_OPERATION_RECENTER</code>
     */
    public static final String WMS_OPERATION_RECENTER = "RECENTER";
    /**
     * Comment for <code>WMS_OPERATION_REFRESH</code>
     */
    public static final String WMS_OPERATION_REFRESH = "REFRESH";
    /**
     * Comment for <code>WMS_OPERATION_RESET</code>
     */
    public static final String WMS_OPERATION_RESET = "RESET";
    /**
     * Comment for <code>WMS_OPERATION_IDENTIFY</code>
     */
    public static final String WMS_OPERATION_IDENTIFY = "INFO";
    /**
     * Comment for <code>WMS_OPERATION_USERDEFINED</code>
     */
    public static final String WMS_OPERATION_USERDEFINED = "USERDEFINED";
    /**
     * Comment for <code>WMS_OPERATION_ZOOMINBYRECT</code>
     */
    public static final String WMS_OPERATION_ZOOMINBYRECT = "ZOOMINBYRECT";
    /**
     * Comment for <code>WMS_OPERATION</code>
     */
    public static final String WMS_OPERATION = "WMS_OPERATION";    
    /**
     * Comment for <code>WMS_MINX</code>
     */
    public static final String WMS_MINX = "MINX";
    /**
     * Comment for <code>WMS_MINY</code>
     */
    public static final String WMS_MINY = "MINY";
    /**
     * Comment for <code>WMS_MAXX</code>
     */
    public static final String WMS_MAXX = "MAXX";
    /**
     * Comment for <code>WMS_MAXY</code>
     */
    public static final String WMS_MAXY = "MAXY";
    /**
     * Comment for <code>LOCATION</code>
     */
    public static final String LOCATION = "LOCATION";
    /**
     * Comment for <code>MESSAGE</code>
     */
    public static final String MESSAGE = "MESSAGE";
    /**
     * Comment for <code>PAN_NORTH</code>
     */
    public static final String PAN_NORTH = "NORTH.X";
    /**
     * Comment for <code>PAN_NORTHEAST</code>
     */
    public static final String PAN_NORTHEAST = "NORTHEAST.X";
    /**
     * Comment for <code>PAN_EAST</code>
     */
    public static final String PAN_EAST = "EAST.X";
    /**
     * Comment for <code>PAN_SOUTHEAST</code>
     */
    public static final String PAN_SOUTHEAST = "SOUTHEAST.X";
    /**
     * Comment for <code>PAN_SOUTH</code>
     */
    public static final String PAN_SOUTH = "SOUTH.X";
    /**
     * Comment for <code>PAN_SOUTHWEST</code>
     */
    public static final String PAN_SOUTHWEST = "SOUTHWEST.X";
    /**
     * Comment for <code>PAN_WEST</code>
     */
    public static final String PAN_WEST = "WEST.X";
    /**
     * Comment for <code>PAN_NORTHWEST</code>
     */
    public static final String PAN_NORTHWEST = "NORTHWEST.X";
    /**
     * Comment for <code>WMSCLIENTCONFIGURATION</code>
     */
    public static final String WMSCLIENTCONFIGURATION = "WMSCLIENTCONFIGURATION";
    /**
     * Comment for <code>WMSGETMAPREQUEST</code>
     */
    public static final String WMSGETMAPREQUEST = "WMSGETMAPREQUEST";
    /**
     * Comment for <code>WMSGETFEATUREINFOREQUEST</code>
     */
    public static final String WMSGETFEATUREINFOREQUEST = "WMSGETFEATUREINFOREQUEST";
    /**
     * Comment for <code>WMSURLS</code>
     */
    public static final String WMSURLS = "WMSURLS";
    /**
     * Comment for <code>LAYERLIST</code>
     */
    public static final String LAYERLIST = "LAYERLIST";
    /**
     * Comment for <code>DEFAULTMAPCONTEXT</code>
     */
    public static final String DEFAULTMAPCONTEXT = "DefaultMapContext";
}