//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/portal/Constants.java $
/*----------------    FILE HEADER  ------------------------------------------

This file is part of deegree.
Copyright (C) 2001-2008 by:
EXSE, Department of Geography, University of Bonn
http://www.giub.uni-bonn.de/deegree/
lat/lon GmbH
http://www.lat-lon.de

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Contact:

Andreas Poth
lat/lon GmbH
Aennchenstr. 19
53115 Bonn
Germany
E-Mail: poth@lat-lon.de

Prof. Dr. Klaus Greve
Department of Geography
University of Bonn
Meckenheimer Allee 166
53115 Bonn
Germany
E-Mail: greve@giub.uni-bonn.de

                 
 ---------------------------------------------------------------------------*/
package org.deegree.portal;

/**
 *
 * @author  administrator
 */
public interface Constants {
    /**
     * Comment for <code>RPC_BBOX</code>
     */
    String RPC_BBOX = "boundingBox";
    /**
     * Comment for <code>RPC_BBOXMAXX</code>
     */
    String RPC_BBOXMAXX = "maxx";
    /**
     * Comment for <code>RPC_BBOXMAXY</code>
     */
    String RPC_BBOXMAXY = "maxy";
    /**
     * Comment for <code>RPC_BBOXMINX</code>
     */
    String RPC_BBOXMINX = "minx";
    /**
     * Comment for <code>RPC_BBOXMINY</code>
     */
    String RPC_BBOXMINY = "miny";
    /**
     * Comment for <code>RPC_ID</code>
     */
    String RPC_ID = "ID";    
    /**
     * Comment for <code>RPC_IDENTIFIER</code>
     */
    String RPC_IDENTIFIER = "Identifier";   
    /**
     * Comment for <code>MESSAGE</code>
     */
    String MESSAGE = "MESSAGE";    
    /**
     * Comment for <code>USERNAME</code>
     */
    String USERNAME = "USERNAME";
    
    String CURRENTMAPCONTEXT = "CurrentMapContext";
    /**
     * Comment for <code>DEFAULTMAPCONTEXT</code>
     */
    String DEFAULTMAPCONTEXT = "DefaultMapContext";
    
    String USERREPOSITORY = "USERREPOSITORY";
    
    String DOWNLOADDIR = "DOWNLOAD_DIR";
    
}